-- Leeroy Jenkins suicide weapon by JetBoom

Fired = false
	
	function onPrimaryAttack( )
		if not Fired then
			_EntEmitSound(Owner, "leeroyjenkins.wav")
			Fired = true
			
			_RunString("AddTimer(3, 1, DoExplode, "..Owner..")")
		end
	end

	function onReload( )
		return false
	end

	function getWeaponSwapHands()
		return false	
	end

	function getWeaponFOV()
		return 60
	end

	function getWeaponSlot()
		return 0	
	end

	function getWeaponSlotPos()
		return 2	
	end

	function getFiresUnderwater()
		return true
	end

	function getReloadsSingly()
		return false
	end

	function getDamage()
		return 10
	end

	function getPrimaryShotDelay()
		return 1.0
	end
	
	function getPrimaryIsAutomatic()
		return true
	end
		
	function getBulletSpread()
		return vector3( 0.00, 0.00, 0.00 )
	end

	function getViewKick()
		return vector3( 0.0, 0.0, 0.0)
	end

	function getViewKickRandom()
		return vector3( 0.0, 8.0, 0.0 )
	end
	
	function getNumShotsPrimary()
		return 1
	end

	function getPrimaryAmmoType()
		return "none"
	end

	function getDamageSecondary()
		return 10
	end

	function getSecondaryShotDelay()
		return 2.5
	end

	function getSecondaryIsAutomatic()
		return false
	end

	function getBulletSpreadSecondary()
		return vector3( 0.001, 0.001, 0.001 )
	end

	function getViewKickSecondary()
		return vector3( 0.0, 0.0, 0.0)
	end

	function getViewKickRandomSecondary()
		return vector3( 0.0, 0.0, 0.0 )
	end

	function getNumShotsSecondary()
		return 1
	end

	function getSecondaryAmmoType()
		return "none"
	end

	function getViewModel( )
		return "models/weapons/v_c4.mdl"
	end

	function getWorldModel( )
		return "models/weapons/w_c4.mdl"
	end

	function getClassName() 
		return "weapon_leeroy"
	end

	function getMaxClipPrimary()
		return 1
	end

	function getMaxClipSecondary()
		return -1
	end

	function getDefClipPrimary() -- ammo in gun by default
		return 2
	end

	function getDefClipSecondary()
		return 0
	end

	function getAnimPrefix() -- How the player holds the weapon: pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade
		return "phys"
	end

	function getPrintName()
		return "LEEEEEROOOOOOY JEENKINSS"
	end

	function getPrimaryScriptOverride()
		return 2
	end

	function getSecondaryScriptOverride()
		return 3
	end

	function getDeathIcon( )
		return "d_leeroy"
	end
